MyGUI: MyGUI::SharedLayerNode Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::SharedLayerNode Class Reference

`#include <MyGUI_SharedLayerNode.h>`

Inheritance diagram for MyGUI::SharedLayerNode:
[legend]

## Public Types
typedef RTTIBase | Base
typedef SharedLayerNode | RTTIBase
Public Types inherited from MyGUI::LayerNode
typedef RTTIBase | Base
typedef LayerNode | RTTIBase
Public Types inherited from MyGUI::ILayerNode
typedef RTTIBase | Base
typedef ILayerNode | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| SharedLayerNode (ILayer *_layer, ILayerNode *_parent=0)
virtual | ~SharedLayerNode ()
void | addUsing ()
void | removeUsing ()
size_t | countUsing () const
Public Member Functions inherited from MyGUI::LayerNode
template<typename Type >
bool | isType () const
| LayerNode (ILayer *_layer, ILayerNode *_parent=0)
virtual | ~LayerNode ()
virtual ILayer * | getLayer () const
virtual ILayerNode * | getParent () const
virtual ILayerNode * | createChildItemNode ()
virtual void | destroyChildItemNode (ILayerNode *_node)
virtual void | upChildItemNode (ILayerNode *_node)
virtual EnumeratorILayerNode | getEnumerator () const
virtual size_t | getLayerNodeCount () const
virtual ILayerNode * | getLayerNodeAt (size_t _index) const
virtual void | attachLayerItem (ILayerItem *_item)
virtual void | detachLayerItem (ILayerItem *_item)
virtual RenderItem * | addToRenderItem (ITexture *_texture, bool _firstQueue, bool _manualRender)
virtual void | outOfDate (RenderItem *_item)
virtual ILayerItem * | getLayerItemByPoint (int _left, int _top) const
virtual void | renderToTarget (IRenderTarget *_target, bool _update)
virtual void | resizeView (const IntSize &_viewSize)
virtual float | getNodeDepth ()
bool | isOutOfDate () const
Public Member Functions inherited from MyGUI::ILayerNode
template<typename Type >
bool | isType () const
virtual | ~ILayerNode ()
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::LayerNode
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ILayerNode
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::LayerNode
void | updateCompression ()
RenderItem * | addToRenderItemFirstQueue (ITexture *_texture, bool _manualRender)
RenderItem * | addToRenderItemSecondQueue (ITexture *_texture, bool _manualRender)
Protected Attributes inherited from MyGUI::LayerNode
VectorRenderItem | mFirstRenderItems
VectorRenderItem | mSecondRenderItems
VectorLayerItem | mLayerItems
VectorILayerNode | mChildItems
ILayerNode * | mParent
ILayer * | mLayer
bool | mOutOfDate
float | mDepth

## Detailed Description

Definition at line 16 of file MyGUI_SharedLayerNode.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::SharedLayerNode::Base

Definition at line 19 of file MyGUI_SharedLayerNode.h.

## ◆ RTTIBase

typedef SharedLayerNode MyGUI::SharedLayerNode::RTTIBase

Definition at line 19 of file MyGUI_SharedLayerNode.h.

## Constructor & Destructor Documentation

## ◆ SharedLayerNode()

MyGUI::SharedLayerNode::SharedLayerNode | ( | ILayer * | _layer,
|  | ILayerNode * | _parent = `0`
| ) |  |
| explicit

Definition at line 13 of file MyGUI_SharedLayerNode.cpp.

## ◆ ~SharedLayerNode()

MyGUI::SharedLayerNode::~SharedLayerNode | ( |  | ) |
| virtual

Definition at line 19 of file MyGUI_SharedLayerNode.cpp.

## Member Function Documentation

## ◆ addUsing()

void MyGUI::SharedLayerNode::addUsing | ( |  | ) |

Definition at line 23 of file MyGUI_SharedLayerNode.cpp.

## ◆ countUsing()

size_t MyGUI::SharedLayerNode::countUsing | ( |  | ) | const

Definition at line 33 of file MyGUI_SharedLayerNode.cpp.

## ◆ getClassTypeName()

static const std::string& MyGUI::SharedLayerNode::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 19 of file MyGUI_SharedLayerNode.h.

## ◆ getTypeName()

virtual const std::string& MyGUI::SharedLayerNode::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::LayerNode.

Definition at line 19 of file MyGUI_SharedLayerNode.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::SharedLayerNode::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 19 of file MyGUI_SharedLayerNode.h.

## ◆ isType() [2/2]

virtual bool MyGUI::SharedLayerNode::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::LayerNode.

Definition at line 19 of file MyGUI_SharedLayerNode.h.

## ◆ removeUsing()

void MyGUI::SharedLayerNode::removeUsing | ( |  | ) |

Definition at line 28 of file MyGUI_SharedLayerNode.cpp.

The documentation for this class was generated from the following files:

- MyGUI_SharedLayerNode.h
- MyGUI_SharedLayerNode.cpp